<a href="{% url 'sqlitetreestructure:index' %}">< Back to index</a>
{% if message %}<h2 style="color:green";>{{ message }}</h2>{% endif %}

<form action="{% url 'sqlitetreestructure:overview' %}" method="post">
{% csrf_token %}
  Display children from node with id:<br>
  <input type="text" name="id" value="">
  <br>
  <input type="submit" value="Display">
</form>
<ul>
    {% for node in nodes %}
        <li style="margin-left:{{ node.height }}em"><span style="color:blue";>{{ node.pos }})</span> <span style="color:darkcyan";>Id:{{ node.id }}</span> -- <span style="color:chocolate";>Parent:{{ node.parent_id }}</span> -- <span style="color:purple";>Height:{{ node.height }}</span></li>
    {% empty %}
        <li>Sorry, no nodes to display.</li>
    {% endfor %}
 </ul>